package net.wanji.web.common.enums;

/**
 * @author Kent HAN
 * @date 2022/10/27 10:10
 */
public enum CrossAlarmEnum {
    ZERO("0", "正常"),
    ONE("1", "失衡"),
    TWO("2", "拥堵"),
    THREE("3", "溢出"),
    FOUR("4", "死锁");

    private String code;
    private String msg;

    CrossAlarmEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(String codeStr) {
        for (CrossAlarmEnum value : CrossAlarmEnum.values()) {
            if (value.code.equals(codeStr)) {
                return value.msg;
            }
        }
        return null;
    }

    public static Integer getCodeIntByMsg(String msg) {
        for (CrossAlarmEnum value : CrossAlarmEnum.values()) {
            if (value.msg.equals(msg)) {
                String code = value.code;
                int codeInt = Integer.parseInt(code);
                return codeInt;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
