package net.wanji.web.common.enums;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/8 17:20
 */
public enum CrossPhasePlanTurnTypeEnum {
    ONE("1", "l"),
    TWO("2", "r"),
    THREE("3", "s"),
    FOUR("4", "u");


    private final String code;
    private final String msg;

    CrossPhasePlanTurnTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(String code) {
        for (CrossPhasePlanTurnTypeEnum value : CrossPhasePlanTurnTypeEnum.values()) {
            if (Objects.equals(value.code, code)) {
                return value.msg;
            }
        }
        return null;
    }

    public static String getCodeByMsg(String msg) {
        for (CrossPhasePlanTurnTypeEnum value : CrossPhasePlanTurnTypeEnum.values()) {
            if (Objects.equals(value.msg, msg)) {
                return value.code;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
