package net.wanji.web.common.enums;

import lombok.AllArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/1/29 9:35
 */
@AllArgsConstructor
public enum CrossTurnEnum {
    UNKNOWN(0, 0, "未知"),
    STRAIGHT(1, 2, "直行"),
    LEFT(2, 1, "左转"),
    RIGHT(3, 3, "右转"),
    U_TURN(4, 4, "掉头"),
    STRAIGHT_LEFT(5, 5, "直左"),
    STRAIGHT_RIGHT(6, 6, "直右"),
    LEFT_U_TURN(7, 9, "左转掉头"),
    LEFT_STRAIGHT_U_TURN(8, 12, "左直掉头"),
    LEFT_STRAIGHT_RIGHT(9, 7, "左直右"),
    LEFT_RIGHT(10, 8, "左右");

    public final int frontCode;
    public final int backCode;
    public final String msg;

    public int getFrontCode() {
        return frontCode;
    }

    public int getBackCode() {
        return backCode;
    }

    public String getMsg() {
        return msg;
    }

    public static Integer getBackByFront(Integer frontCode) {
        for (CrossTurnEnum value : CrossTurnEnum.values()) {
            if (value.getFrontCode() == frontCode) {
                return value.getBackCode();
            }
        }
        return null;
    }

    public static Integer getFrontByBack(Integer backCode) {
        for (CrossTurnEnum value : CrossTurnEnum.values()) {
            if (value.getBackCode() == backCode) {
                return value.getFrontCode();
            }
        }
        return null;
    }
}
