package net.wanji.web.common.enums;

/**
 * 路口类型
 * 1丁字口； 2十字口；3环岛；4畸形口；5立体交叉口；6铁路道口；7其他
 *
 * @author wuxiaokai
 * @date 2022/12/26 11:35:57
 */
public enum CrossTypeEnum {

    T_PORT(1, "丁字口"),
    CROSSING(2, "十字口"),
    ISLAND(3, "环岛"),
    MALFORMED_MOUTH(4, "畸形口"),
    THREE_DIMENSIONAL_INTERSECTION(5, "立体交叉口"),
    RAILWAY_CROSSING(6, "铁路道口"),
    OTHER(7, "其他");

    private final int code;
    private final String msg;

    CrossTypeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
