package net.wanji.web.common.enums;

/**
 * @author Kent HAN
 * @date 2022/10/27 10:10
 */
public enum DeviceStatusEnum {
    NORMAL(1, "在线"),
    WRONG(2, "故障"),
    OFFLINE(0, "离线");

    private final Integer code;
    private final String msg;

    DeviceStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(Integer code) {
        for (DeviceStatusEnum value : DeviceStatusEnum.values()) {
            if (value.code.equals(code)) {
                return value.msg;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
