package net.wanji.web.common.enums;

/**
 * @author Kent HAN
 * @date 2022/10/27 10:10
 */
public enum DeviceTypeEnum {
    ONE(1, "信号"),
    TWO(2, "卡口"),
    THREE(3, "地磁"),
    FOUR(4, "视频"),
    FIVE(5, "微波"),
    SIX(6, "激光"),
    SEVEN(7, "电警"),
    EIGHT(8, "MEC");

    private final Integer code;
    private final String msg;

    DeviceTypeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(Integer code) {
        for (DeviceTypeEnum value : DeviceTypeEnum.values()) {
            if (value.code.equals(code)) {
                return value.msg;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
