package net.wanji.web.common.enums;

/**
 * @author Kent HAN
 * @date 2022/11/8 17:20
 */
public enum SpecialServiceCrossInOutEnum {
    ONE(1, "出口"),
    TWO(2, "进口");

    private final int code;
    private final String msg;

    SpecialServiceCrossInOutEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(int code) {
        for (SpecialServiceCrossInOutEnum value : SpecialServiceCrossInOutEnum.values()) {
            if (value.code == code) {
                return value.msg;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
