package net.wanji.web.common.enums;

import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2022/11/8 17:20
 */
public enum SpecialServiceCrossTurnEnum {
    LEFT("l", "左转"),
    STRAIGHT("s", "直行"),
    RIGHT("r", "右转"),
    UTURN("u", "掉头");


    private final String code;
    private final String msg;

    SpecialServiceCrossTurnEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(String code) {
        for (SpecialServiceCrossTurnEnum value : SpecialServiceCrossTurnEnum.values()) {
            if (Objects.equals(value.code, code)) {
                return value.msg;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
